eurephiadm blacklist(7)

NAME
eurephiadm-blacklist - Manage the eurephia blacklist

DESCRIPTION
After a configured amount of failed attempts, IP addresses, certificates and/or user names will get blacklisted. The eurephiadm blacklist command can be used to delete blacklist entries, or even explicitly add new blacklist entries manually.

Available modes for the blacklist command are:

-l | --list
    List all entries on the blacklist

-A | --add
    Add an entry to the blacklist

-D | --delete
    Delete an entry from the blacklist

-h | --help [<mode>]
    Show help

LIST MODE

The blacklist list mode will show registered entries in the blacklist.

-v | --verbose
    Show more details

  Filters:

-u | --username <username>
    User name

-d | --digest <SHA1 digest>
    Certificate SHA1 digest

-i | --ipaddr <ip address>
    IP address

ADD MODE

The blacklist add mode will register a new entry to be blacklisted.

  One of the following parameters must be given (only one):

-u | --username <username>
    User name

-d | --digest <SHA1 digest>
    Certificate SHA1 digest

-i | --ipaddr <ip address>
    IP address

DELETE MODE

The blacklist delete mode will remove a blacklisted entry.

  One of the following parameters must be given (only one):

-u | --username <username>
    User name

-d | --digest <SHA1 digest>
    Certificate SHA1 digest

-i | --ipaddr <ip address>
    IP address

-b | --blid <ID>
    Blacklist record ID

SEE ALSO
eurephiadm-attempts(7), eurephia-config(7)

AUTHOR
Copyright (C) 2008-2012 David Sommerseth <dazo@users.sourceforge.net>